Bug 171821 - Review Request: gparted - Gnome Partition Editor
Summary: Review Request: gparted - Gnome Partition Editor
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: David Lawrence
URL: http://gparted.sourceforge.net
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-10-26 20:19 UTC by Deji Akingunola
Modified: 2007-12-16 22:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 15:55:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Deji Akingunola 2005-10-26 20:19:00 UTC
Spec Name or Url: ftp://czar.eas.yorku.ca/pub/gparted/gparted.spec
SRPM Name or Url: ftp://czar.eas.yorku.ca/pub/gparted/gparted-0.0.8-1.src.rpm
Description: 
GParted stands for Gnome Partition Editor.
It uses libparted to detect and manipulate devices and partition tables while several (optional) filesystem tools provide support for filesystems not included in libparted. These optional packages will be detected at runtime and don't require a rebuild of GParted

Comment 1 Dmitry Butskoy 2005-11-25 15:55:25 UTC
"The connection was refused when attempting to contact czar.eas.yorku.ca."
Is the URLs above still valid?

Comment 2 Deji Akingunola 2005-11-25 16:34:25 UTC
(In reply to comment #1)

> Is the URLs above still valid?

yes, it was taken offline for a while, should be okay now.

Comment 3 Deji Akingunola 2005-11-25 17:59:25 UTC
Updated to newly released version.
ftp://czar.eas.yorku.ca/pub/gparted/gparted.spec
ftp://czar.eas.yorku.ca/pub/gparted/gparted-0.0.9-1.src.rpm

Comment 4 Brian Pepple 2005-11-25 19:40:55 UTC
Looks like your missing some Build Requires for gparted,  since it fails while
building in Mock for FC4.  Based on the build log, at a minimum you will need to
add a BR for e2fsprogs-devel.  To see if there are any other BR's needed you
should use Mock.  Here's a link to it's usage if you haven't used it before:

http://fedoraproject.org/wiki/Projects/Mock

In addition, it looks like you can drop the SOURCE1, since it doesn't appear to
be needed anymore.  Also, in the desktop file section, you can remove the line
that adds the System category, since it already has been added upstream.

Comment 5 Deji Akingunola 2005-11-26 03:06:53 UTC
I've updated the spec file and rebuild. Now build cleanly in mock.
Thanks.
ftp://czar.eas.yorku.ca/pub/gparted/gparted.spec
ftp://czar.eas.yorku.ca/pub/gparted/gparted-0.0.9-2.src.rpm



Comment 6 Michael A. Peters 2005-11-26 03:46:40 UTC
%defattr(-,root,root)

probably should be

%defattr(-,root,root,-)

Comment 7 Deji Akingunola 2005-11-26 05:49:59 UTC
(In reply to comment #6)
> %defattr(-,root,root)
> 
> probably should be
> 
> %defattr(-,root,root,-)

noted. Thanks


Comment 8 Brian Pepple 2005-11-26 14:51:20 UTC
MD5Sums:
0f36fc93e1908418be0b99c5db7ac184  gparted-0.0.9.tar.bz2

Good:
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* Desktop entry is fine
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* All desired features are enabled
* Package rebuilds as non-root user
* Make succeeds even when %{_smp_mflags} is defined
* Package installs and uninstalls cleanly on FC4

Bad:
* Source URL incorrect: it should be
http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
* Rpmlint errors: W: gparted no-dependency-on usermode-consoleonly
* File attributes: Refer to comment #6.

Note:
I think the rpmlint error can be ignored, but some of the other reviewers
might want to verify that.

This appears to be your first package for Fedora Extras, so you will
need to get a Sponsor.  Here's a list of the people that are
currently able to sponsor new contributers:
https://admin.fedora.redhat.com/accounts/dump-group.cgi?group=cvsextras&role_type=sponsor&format=html

Comment 9 Deji Akingunola 2005-11-26 17:43:36 UTC
(In reply to comment #8)

> Bad:
> * Source URL incorrect: it should be
> http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Corrected.
ftp://czar.eas.yorku.ca/pub/gparted/gparted.spec
ftp://czar.eas.yorku.ca/pub/gparted/gparted-0.0.9-3.src.rpm

> * Rpmlint errors: W: gparted no-dependency-on usermode-consoleonly
> * File attributes: Refer to comment #6.
> 
> Note:
> I think the rpmlint error can be ignored, but some of the other reviewers
> might want to verify that.
> 
> This appears to be your first package for Fedora Extras, so you will
> need to get a Sponsor.

No, I already see to a couple of packages in extras.
Thanks for reviewing.

Comment 10 Brian Pepple 2005-11-26 18:08:32 UTC
Ahh, didn't see that you already some packages.  In that case, I'll go ahead
receive this bug, and approve it since you've corrected the errors in comment #8.

PUBLISH +1, refer to comment #8 for review.

Comment 11 Ville Skyttä 2005-11-26 20:50:20 UTC
(In reply to comment #8) 
> * Rpmlint errors: W: gparted no-dependency-on usermode-consoleonly 
 
That's bug 165839, already fixed in CVS and an update coming up soonish. 

Comment 12 Deji Akingunola 2005-11-28 15:55:50 UTC
Built for extras.
Thanks all.

Comment 13 Deji Akingunola 2007-12-16 21:13:59 UTC
Package Change Request
======================
Package Name: gparted
New Branches: EL-5

Comment 14 Kevin Fenzi 2007-12-16 22:02:13 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.